from gluon import *

def COOKIE_SET(_player):
    current.response.cookies["lynchburg_id"] = _player["id"]
    current.response.cookies["lynchburg_hash"] = _player["hashcode"]
    current.response.cookies["lynchburg_id"]["path"] = "/"
    current.response.cookies["lynchburg_hash"]["path"] = "/"

def COOKIE_GET():

    cookies = current.request.cookies

    if not "lynchburg_id" in cookies or not "lynchburg_hash" in cookies:
        return((None, None))

    user_id = cookies["lynchburg_id"].value
    user_hash = cookies["lynchburg_hash"].value

    if not user_id.isdigit():
        COOKIE_DELETE()
        return((None, None))

    user_id = int(user_id)

    player_record = current.db((current.db.Player.id == user_id) & (current.db.Player.hashcode == user_hash)).select().first()

    if not player_record:
        COOKIE_DELETE()
        return((None, None))

    room_record = current.db(current.db.Room.id == player_record.room_id).select().first()

    if not room_record:
        COOKIE_DELETE()
        return((None, None))

    return((player_record, room_record))

def COOKIE_DELETE():
    current.response.cookies['lynchburg_id'] = ""
    current.response.cookies['lynchburg_hash'] = ""
    current.response.cookies["lynchburg_id"]["path"] = "/"
    current.response.cookies["lynchburg_hash"]["path"] = "/"
    current.response.cookies['lynchburg_id']['expires'] = -1
    current.response.cookies['lynchburg_hash']['expires'] = -1
