function AJAX_JSON(_url, _payload, _returnFunction) {
    $.ajax({
            type: 'POST',
            url: _url,
            dataType: 'json',
            data: JSON.stringify(_payload),
            contentType : 'application/json',
            success: function(data) {
                _returnFunction(200, data);
            },
            error: function(xhr, statusText, errorThrown){
                _returnFunction(xhr.status, errorThrown);
            }
    });
}

function AJAX_GET(_url, _returnFunction) {
    $.ajax({
            type: 'GET',
            url: _url,
            success: function(data) {
                _returnFunction(200, data);
            },
            error: function(xhr, statusText, errorThrown){
                _returnFunction(xhr.status, errorThrown);
            }
    });
}
